/* -*- mode: c; compile-command: "cd ..; make all"; -*- */

/* This Includefile is a global include file 
   it is included in every source file */

#ifndef _FLASHTOOL_H
#define _FLASHTOOL_H

/* returns the maximum of two values */
#define MAX(a,b) ((a)>(b) ? (a):(b))


/* If you want to compile with the current (4/2003) online version
   of cygwin you must uncomment the following definition */
/* the terminal option would not work under this condition because
   select is not implemented in the cygwin dll. And the function
   cfsetspedd would not be used */
/* #define CYGWIN */

/* Names of the primary and secondary bootstrap loaders*/
#define BSL1 "bsl1.bin"
#define BSL2 "bsl2.bin"
/* preset value for the Programm to write in the RAM */
#define BSL3 "bsl3_flash_programm.H86"

/* preset values for the command line switches */
#define BAUD 9600 /* preset value for the baudrate of the connection */
#define BAUDCYGWIN B9600
#define FILENAME_MAX_LENGTH 255 /* maximal lenght of all filenames and
				   paths in this module */
#define DEVICE "/dev/ttyS0" /* preset value for the device name*/
#define OUTPUT "flashtool.out" /* preset value for the file that
				  should be written */
#define INPUT "flashtool.in" /* preset value for the file that
				should be written to the eprom */

/* define a new boolean type */
#define FALSE 0
#define TRUE 1
typedef int bool;

/* define a type string */
typedef char * string;

#endif /* _FLASHTOOL_H */
