/* -*- mode: c; compile-command: "cd ..; make all"; -*- */

#ifndef _PARSE_COMMAND_LINE_H_
#define _PARSE_COMMAND_LINE_H_

struct command_line_options {
  int baud;
  char device[FILENAME_MAX_LENGTH];
  int start;
  int stop;
  bool info;
  bool write;
  bool read;
  bool flash;
  bool delete;
  bool noinit;
  bool bootstrap;
  bool bootstrap3;
  bool init;
  bool verbose;
  bool hextobin;
  bool convert;
  bool convert3;
  bool version;
  bool help;
  bool terminal;
  char output_file_name[FILENAME_MAX_LENGTH];
  char input_file_name[FILENAME_MAX_LENGTH];
};

struct command_line_options parse_command_line (int argc, char **argv);

#endif /* _PARSE_COMMAND_LINE_H_ */
