/******************************************************
 * 	globals.h
 * 
 * 	Global Constants, Global Type Definitions
 * 
 ******************************************************/


#ifndef __GLOBALS_H__
#define __GLOBALS_H__

	/********************************************************************
	 * Global Constants
	 *******************************************************************/
	#define MAXLW 50			/* max. chars per line */
	#define POOLBYTES 0x2000	/* #of bytes for dynamic memory pool */

	/********************************************************************
	 * Global Type Definitions
	 *******************************************************************/
	typedef unsigned char uchar;
	typedef unsigned char idata uchari;
	typedef unsigned char sdata uchars;
	typedef unsigned char bdata ucharb;
	typedef unsigned int uint;
	typedef unsigned int idata uinti;
	typedef unsigned int sdata uints;
	typedef unsigned int bdata uintb;
	typedef unsigned long ulong;
	typedef bit bool;


#endif
