#include <reg167.h>

int i;
sbit T0RUN = T01CON^6;
 
void timer0isr(void) interrupt 0x20
{ i++;
}

void hardwaredelay(int sek)
{  T0RUN=1;
   while(i<sek){};
   i=0;
   T0RUN=0;
}

void init_time(void)
{ int j;
  T01CON=0x06;
  T0=26526;
  T0REL=26526;
  T0IC=0x0044;
  IEN=1;
  DP2=0xFFFF;
  P2=0xFEFF;
  i=0;
  
  while (1)
  { for(j=0;j<=6;j++)
    { P2 = 0xFEFF << j;
	  hardwaredelay(1);
	}
  	for(j=7;j>=1;j--)
    { P2 = 0xFEFF << j;
	  hardwaredelay(1);
	}
  }

}
